<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections></configSections>
  <connectionStrings></connectionStrings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0" />
  </startup>
  <!--<system.diagnostics>
    <trace autoflush="true" />
    <sources>
      <source name="System.ServiceModel" switchValue="Information, ActivityTracing" propagateActivity="true">
        <listeners>
          <add name="sdt" type="System.Diagnostics.XmlWriterTraceListener" initializeData="c:\Cadosys\Log\cadosys.TransportLayer.Protokoll.svclog" />
        </listeners>
      </source>
    </sources>
  </system.diagnostics>-->
  <system.serviceModel>
    <serviceHostingEnvironment multipleSiteBindingsEnabled="true"></serviceHostingEnvironment>
    <!--<diagnostics>
      <messageLogging logEntireMessage="true" />
      <endToEndTracing propagateActivity="true" activityTracing="true"
            messageFlowTracing="true" />
    </diagnostics>-->
    <services>
      <service behaviorConfiguration="DefaultServiceBehavior" name="cadosys.Workflow.TransportLayer.TransportServiceGetPolicyImpl">
        <endpoint address="" behaviorConfiguration="WebHttpGetPolBehavior" binding="webHttpBinding" contract="cadosys.Workflow.TransportLayer.IPolicyRetriever">
          <identity>
            <dns />
          </identity>
        </endpoint>
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:8732/" />
          </baseAddresses>
        </host>
      </service>
      <service behaviorConfiguration="DefaultServiceBehavior" name="cadosys.Workflow.TransportLayer.WorkflowTransportServiceImpl">
        <!-- HTTP Endpoints -->
        <endpoint address="" binding="basicHttpBinding" bindingConfiguration="basicHttpBindingWorkflowTransport" contract="cadosys.Workflow.TransportLayer.IWorkflowTransportService">
          <identity>
            <dns value="localhost" />
          </identity>
        </endpoint>
        <endpoint address="mex" binding="mexHttpBinding" contract="IMetadataExchange" />
        <!-- HTTPS Entpoints -->
        <!--<endpoint address="" binding="basicHttpsBinding" bindingConfiguration="basicHttpsBindingWorkflowTransport" contract="cadosys.Workflow.TransportLayer.IWorkflowTransportService">
                    <identity>
                        <dns value="localhost" />
                    </identity>
                </endpoint>
                <endpoint address="mex" binding="mexHttpsBinding" contract="IMetadataExchange" />-->
        <host>
          <baseAddresses>
            <!--<add baseAddress="http://localhost:8732/WorkflowTransportService/" />-->
          </baseAddresses>
        </host>
      </service>
    </services>
    <!-- binding -->
    <bindings>
      <!-- HTTP -->
      <basicHttpBinding>
        <binding name="basicHttpBindingWorkflowTransport" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647">
          <readerQuotas maxStringContentLength="2147483647" maxArrayLength="2147483647" />
        </binding>
      </basicHttpBinding>
      <!-- HTTPS -->
      <!--<basicHttpsBinding>
                <binding name="basicHttpsBindingWorkflowTransport" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647">
                    <readerQuotas maxStringContentLength="2147483647" maxArrayLength="2147483647" />
                    <security mode="Transport">
                        <transport clientCredentialType="None"/>
                    </security>
                </binding>
            </basicHttpsBinding>-->
    </bindings>
    <behaviors>
      <endpointBehaviors>
        <behavior name="WebHttpGetPolBehavior">
          <webHttp />
        </behavior>
      </endpointBehaviors>
      <serviceBehaviors>
        <behavior name="DefaultServiceBehavior">
          <serviceMetadata httpGetEnabled="true" httpsGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="true" />
        </behavior>
        <behavior name="ServiceWithoutExceptionDetailsBehavior">
          <serviceMetadata httpGetEnabled="true" httpsGetEnabled="true" />
          <serviceDebug includeExceptionDetailInFaults="false" />
        </behavior>
      </serviceBehaviors>
    </behaviors>
  </system.serviceModel>
  <appSettings>
    <add key="Workflow" value="1" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
  </appSettings>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <runtime>
    <loadFromRemoteSources enabled="true" />
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.0" newVersion="5.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>